# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/wx-config gcc-c++
# END SourceDeps(oneline)
%global commit b38a159f4fb44a972958d905d93a8be1b50379e8
%global scommit %(c=%{commit}; echo ${c:0:7})

Summary:       Fast and customizable dockbar
Name:          simdock
Version:       1.2.6
Release:       alt1_1.20130128git
License:       GPLv2+
Group:         Graphical desktop/Other
URL:           https://github.com/onli/simdock
Source0:       https://github.com/onli/simdock/archive/%{commit}/%{name}-%{version}-%{scommit}.tar.gz
Patch0:        simdock-1.2.desktop.patch
Patch1:        simdock-1.2-pixmap.patch
Patch2:        simdock-1.2-dso.patch
Buildrequires: desktop-file-utils
BuildRequires: libGConf-devel
BuildRequires: libwnck-devel
BuildRequires: libstartup-notification-devel
BuildRequires: wxGTK-devel
BuildRequires: automake
BuildRequires: autoconf
Source44: import.info

%description
SimDock is a fast and customizable dockbar. It is written in c++ and
wxWidgets and fits well in Gnome but works on most desktop
environments. Does not require Compiz nor 3D acceleration.

%prep
%setup -q -n %{name}-%{commit}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%{__ln_s} configure.ac configure.in

%build
./autogen.sh
%configure --disable-dependency-tracking
%{__make} %{?_smp_mflags} CPPFLAGS="%{optflags}"

%install
%{__make} DESTDIR=%{buildroot} install
desktop-file-install --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc AUTHORS COPYING LICENSE README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.6-alt1_1.20130128git
- initial fc import

